---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.0.94.119
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: kube-controller-manager-master-0.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-kube-controller-manager
      resourceVersion: "30155"
      uid: 83826b08-2acf-4590-bddc-bc77802ce1bf
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.95.76
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: kube-controller-manager-master-1.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-kube-controller-manager
      resourceVersion: "28102"
      uid: a4b4bea3-b9f9-45a0-b4db-12cc37e7f870
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.219
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: kube-controller-manager-master-2.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-kube-controller-manager
      resourceVersion: "29103"
      uid: 7c8294d1-f23e-402f-8ecb-55a02d8a5462
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:10:54Z"
    creationTimestamp: "2022-03-08T10:38:50Z"
    generateName: kube-controller-manager-
    generation: 41
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kube-controller-manager
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"f0caba46-44ed-4e1e-9a55-89350e215f82"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:52:16Z"
    name: kube-controller-manager-x8qxg
    namespace: openshift-kube-controller-manager
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kube-controller-manager
      uid: f0caba46-44ed-4e1e-9a55-89350e215f82
    resourceVersion: "30156"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-kube-controller-manager/endpointslices/kube-controller-manager-x8qxg
    uid: af15225f-a4d8-4a24-a584-75ed0a834a5d
  ports:
  - name: https
    port: 10257
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82828"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-kube-controller-manager/endpointslices
